package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceLogEntity;
/**
* 设备日志查询对象
*
* @author zxfei
* @date 2022-03-09
*/
public class DeviceLogQuery extends DeviceLogEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 设备ID */
    private Long deviceIdStart;

    /** 结束 设备ID */
    private Long deviceIdEnd;

    /** 增加 设备ID */
    private Long deviceIdIncrement;

    /** 设备ID列表 */
    private List <Long> deviceIdList;

    /** 设备编号 */
    private List<String> deviceNumList;

    /** 设备名称，设置设备名称。 */
    private List<String> deviceNameList;

    /** 开始 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeStart;

    /** 结束 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeEnd;

    /** 增加 日志类型，(0.上报事件，1.下发服务) */
    private Integer logTypeIncrement;

    /** 日志类型，(0.上报事件，1.下发服务)列表 */
    private List <Integer> logTypeList;

    /** 内容 */
    private List<String> contentList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceLogQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceLogQuery> andConditionList;

    public DeviceLogQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 设备ID
    * @return deviceIdStart
    */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
    * 获取 结束 设备ID
    * @return $deviceIdEnd
    */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
    * 获取 增加 设备ID
    * @return deviceIdIncrement
    */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
    * 获取 设备ID
    * @return deviceIdList
    */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
    * 获取 设备编号
    * @return deviceNumList
    */
    public List<String> getDeviceNumList(){
        return this.deviceNumList;
    }

    /**
    * 设置 设备编号
    * @param deviceNumList
    */
    public void setDeviceNumList(List<String> deviceNumList){
        this.deviceNumList = deviceNumList;
    }
    /**
    * 获取 设备名称，设置设备名称。
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 开始 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeStart
    */
    public Integer getLogTypeStart(){
        return this.logTypeStart;
    }

    /**
    * 设置 开始 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeStart
    */
    public void setLogTypeStart(Integer logTypeStart){
        this.logTypeStart = logTypeStart;
    }

    /**
    * 获取 结束 日志类型，(0.上报事件，1.下发服务)
    * @return $logTypeEnd
    */
    public Integer getLogTypeEnd(){
        return this.logTypeEnd;
    }

    /**
    * 设置 结束 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeEnd
    */
    public void setLogTypeEnd(Integer logTypeEnd){
        this.logTypeEnd = logTypeEnd;
    }

    /**
    * 获取 增加 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeIncrement
    */
    public Integer getLogTypeIncrement(){
        return this.logTypeIncrement;
    }

    /**
    * 设置 增加 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeIncrement
    */
    public void setLogTypeIncrement(Integer logTypeIncrement){
        this.logTypeIncrement = logTypeIncrement;
    }

    /**
    * 获取 日志类型，(0.上报事件，1.下发服务)
    * @return logTypeList
    */
    public List<Integer> getLogTypeList(){
        return this.logTypeList;
    }

    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeList
    */
    public void setLogTypeList(List<Integer> logTypeList){
        this.logTypeList = logTypeList;
    }

    /**
    * 获取 内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceLogQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceLogQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceLogQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceLogQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceLogQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  设备ID
    * @param deviceId
    */
    public DeviceLogQuery deviceId(Long deviceId){
	    setDeviceId(deviceId);
		return this;
    }
	
	 /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public DeviceLogQuery deviceIdStart(Long deviceIdStart){
		this.deviceIdStart = deviceIdStart;
		return this;
    }

    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public DeviceLogQuery deviceIdEnd(Long deviceIdEnd){
		this.deviceIdEnd = deviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public DeviceLogQuery deviceIdIncrement(Long deviceIdIncrement){
		this.deviceIdIncrement = deviceIdIncrement;
		return this;
    }

    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public DeviceLogQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
		return this;
        }


	/**
    * 设置 设备编号
    * @param deviceNum
    */
    public DeviceLogQuery deviceNum(String deviceNum){
        setDeviceNum(deviceNum);
		return this;
    }

    /**
    * 设置 设备编号
    * @param deviceNumList
    */
    public DeviceLogQuery deviceNumList(List<String> deviceNumList){
        this.deviceNumList = deviceNumList;
		return this;
    }


	/**
    * 设置 设备名称，设置设备名称。
    * @param deviceName
    */
    public DeviceLogQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceNameList
    */
    public DeviceLogQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }

    /**
    * 设置  日志类型，(0.上报事件，1.下发服务)
    * @param logType
    */
    public DeviceLogQuery logType(Integer logType){
	    setLogType(logType);
		return this;
    }
	
	 /**
    * 设置 开始 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeStart
    */
    public DeviceLogQuery logTypeStart(Integer logTypeStart){
		this.logTypeStart = logTypeStart;
		return this;
    }

    /**
    * 设置 结束 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeEnd
    */
    public DeviceLogQuery logTypeEnd(Integer logTypeEnd){
		this.logTypeEnd = logTypeEnd;
		return this;
    }

    /**
    * 设置 增加 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeIncrement
    */
    public DeviceLogQuery logTypeIncrement(Integer logTypeIncrement){
		this.logTypeIncrement = logTypeIncrement;
		return this;
    }

    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logTypeList
    */
    public DeviceLogQuery logTypeList(List<Integer> logTypeList){
        this.logTypeList = logTypeList;
		return this;
        }


	/**
    * 设置 内容
    * @param content
    */
    public DeviceLogQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 内容
    * @param contentList
    */
    public DeviceLogQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceLogQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceLogQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceLogQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceLogQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}